Bug 447113 - nash --forcequiet may hang for 15-20 minutes
nash --forcequiet may hang for 15-20 minutes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-17 19:31 EDT by Alessandro Suardi
Modified: 2009-07-14 11:46 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:46:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ps output, /var/log/messages from hung "nash" (38.00 KB, application/octet-stream)
2008-05-17 19:31 EDT, Alessandro Suardi
no flags Details

  None (edit)
Description Alessandro Suardi 2008-05-17 19:31:13 EDT
Description of problem:

Installed today F9 in parallel on my x86 Dell Latitude C640 and my nephew's
x86_64 desktop; my laptop hung at install time for over 15 minutes with nash
--forcequiet in D state (then it eventually completed), while the desktop
completed installation without any issues.

Later on, while running 'yum update' from the command line on the desktop, the
2.6.25.3-18 kernel update hung for a similar amount of time, again with nash
--forcequiet in D state, before completing.

Version-Release number of selected component (if applicable):

filed under mkinitrd as I've seen other bugs filed this way; which is then F9's
base mkinitrd.

How reproducible:

twice on three attempts to install a kernel so far :)

Steps to Reproduce:
1. rpm -i <new_kernel_rpm>
2.
3.
  
Actual results:

prompt stays there for minutes, nash in D state

Expected results:

action happens right away

Additional info:

I took a ps output of the yum update hang, and /var/log/messages has a trace of
me echoing "t" in /proc/sysrq-trigger.

The SATA timeout messages, as I wrote in this LKML message

http://www.ussg.iu.edu/hypermail/linux/kernel/0805.2/0735.html

 minutes ago, go away when booting the kernel with "noapic".

Excerpts:

 4638 pts/2    S+     0:00 /bin/bash --norc /sbin/mkinitrd --allow-missing -f
/boot/initrd-2.6.25.3-18.fc9.x86_64.img 2.6.25.3-18.fc9.x86_64
 4639 pts/2    S+     0:00 /bin/bash --norc /sbin/mkinitrd --allow-missing -f
/boot/initrd-2.6.25.3-18.fc9.x86_64.img 2.6.25.3-18.fc9.x86_64
 4641 pts/2    D+     0:00 /sbin/nash --forcequiet


May 17 17:53:04 rospo kernel: nash          D 0000000000000002     0  4641   4639
May 17 17:53:04 rospo kernel:  ffff81000862d838 0000000000000082
ffff8100054bd640 ffff810005504000
May 17 17:53:04 rospo kernel:  ffff81000862d7b8 ffffffff814ba780
ffffffff814ba780 0000000000000246
May 17 17:53:04 rospo kernel:  ffff810005504000 ffff810006d88000
ffff810002e70000 ffff810006d88358
May 17 17:53:04 rospo kernel: Call Trace:
May 17 17:53:04 rospo kernel:  [schedule_timeout+34/180] schedule_timeout+0x22/0xb4
May 17 17:53:04 rospo kernel:  [kobject_put+25/27] ? kobject_put+0x19/0x1b
May 17 17:53:04 rospo kernel:  [put_device+21/23] ? put_device+0x15/0x17
May 17 17:53:04 rospo kernel:  [_end+112168489/2114593988] ?
:scsi_mod:scsi_request_fn+0x381/0x3d3
May 17 17:53:04 rospo kernel:  [wait_for_common+242/311] wait_for_common+0xf2/0x137
May 17 17:53:04 rospo kernel:  [default_wake_function+0/15] ?
default_wake_function+0x0/0xf
May 17 17:53:04 rospo kernel:  [__generic_unplug_device+36/40] ?
__generic_unplug_device+0x24/0x28
May 17 17:53:04 rospo kernel:  [wait_for_completion+24/26]
wait_for_completion+0x18/0x1a
May 17 17:53:04 rospo kernel:  [blk_execute_rq+146/174] blk_execute_rq+0x92/0xae
May 17 17:53:04 rospo kernel:  [bio_phys_segments+23/32] ?
bio_phys_segments+0x17/0x20
May 17 17:53:04 rospo kernel:  [_end+112173292/2114593988]
:scsi_mod:scsi_execute+0xd9/0xfa
May 17 17:53:04 rospo kernel:  [_end+114075374/2114593988]
:sr_mod:sr_do_ioctl+0xb0/0x1df
May 17 17:53:04 rospo kernel:  [_end+114071250/2114593988]
:sr_mod:sr_packet+0x25/0x2c
May 17 17:53:04 rospo kernel:  [_end+114040971/2114593988]
:cdrom:cdrom_get_media_event+0x51/0x85
May 17 17:53:04 rospo kernel:  [_end+114075096/2114593988]
:sr_mod:sr_drive_status+0x3a/0x83
May 17 17:53:04 rospo kernel:  [_end+114041174/2114593988]
:cdrom:cdrom_open+0x97/0x925
May 17 17:53:04 rospo kernel:  [__switch_to+747/763] ? __switch_to+0x2eb/0x2fb
May 17 17:53:04 rospo kernel:  [__reacquire_kernel_lock+58/90] ?
__reacquire_kernel_lock+0x3a/0x5a
May 17 17:53:04 rospo kernel:  [thread_return+119/167] ? thread_return+0x77/0xa7
May 17 17:53:04 rospo kernel:  [kobject_get+26/34] ? kobject_get+0x1a/0x22
May 17 17:53:04 rospo kernel:  [_end+114072539/2114593988]
:sr_mod:sr_block_open+0x8f/0xa8
May 17 17:53:04 rospo kernel:  [do_open+510/714] do_open+0x1fe/0x2ca
May 17 17:53:04 rospo kernel:  [blkdev_open+0/103] ? blkdev_open+0x0/0x67
May 17 17:53:04 rospo kernel:  [blkdev_open+54/103] blkdev_open+0x36/0x67
May 17 17:53:04 rospo kernel:  [__dentry_open+245/456] __dentry_open+0xf5/0x1c8
May 17 17:53:04 rospo kernel:  [nameidata_to_filp+46/63] nameidata_to_filp+0x2e/0x3f
May 17 17:53:04 rospo kernel:  [do_filp_open+57/75] do_filp_open+0x39/0x4b
May 17 17:53:04 rospo kernel:  [__strncpy_from_user+44/83] ?
__strncpy_from_user+0x2c/0x53
May 17 17:53:04 rospo kernel:  [get_unused_fd_flags+139/287] ?
get_unused_fd_flags+0x8b/0x11f
May 17 17:53:04 rospo kernel:  [do_sys_open+81/210] do_sys_open+0x51/0xd2
May 17 17:53:04 rospo kernel:  [sys_open+27/29] sys_open+0x1b/0x1d
May 17 17:53:04 rospo kernel:  [tracesys+213/218] tracesys+0xd5/0xda
Comment 1 Alessandro Suardi 2008-05-17 19:31:13 EDT
Created attachment 305825 [details]
ps output, /var/log/messages from hung "nash"
Comment 2 Jeroen Beerstra 2008-06-04 14:06:59 EDT
just a quick me2
Comment 3 Jeroen Beerstra 2008-06-04 14:07:54 EDT
oh yeah this is on a brand new x86_64 nforce 780i sli system.
Comment 4 Eric Munson 2009-02-18 06:40:57 EST
adding a me2 with the nforce 680i chipset
Comment 5 Bug Zapper 2009-06-09 20:56:48 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 11:46:37 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.